# GimpUi.UnitStore

    from gi.repository import GimpUi

    unit_store = GimpUi.UnitStore(has_percent=value, has_pixels=value, long_format=value, num_values=value, short_format=value)

A model for Gimp.Unit views

## Hierarchy

- GObject.Object
  - GimpUi.UnitStore

## Methods

- GimpUi.UnitStore.get_has_percent
- GimpUi.UnitStore.get_has_pixels
- GimpUi.UnitStore.get_nth_value
- GimpUi.UnitStore.set_has_percent
- GimpUi.UnitStore.set_has_pixels
- GimpUi.UnitStore.set_pixel_value
- GimpUi.UnitStore.set_resolution

## Properties

- has-percent
- has-pixels
- long-format
- num-values
- short-format

## Fields

- GimpUi.UnitStore->parent_instance